/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"xlerror.h"
#include	"xl.h"


int exit_mode;

XL_SEXP * xl_Exit();

void
init_Exit(XLISP_ENV * env)
{
	set_env(env,l_string(std_cm,"Exit"),
		get_func_prim(xl_Exit,FO_APPLICATIVE,0,1,1));
}

XL_SEXP *
xl_Exit(XLISP_ENV * env,XL_SEXP * s)
{
	if ( exit_mode )
		close_all_interpreter();
	else	exit(0);

	return 0;
}


